API7 Docs

List all event types of audit logs

GET /api/audit_logs/event_types

GET /api/audit_logs/event_types

Interactive request editor loads with JavaScript.

Authorization

X-API-KEY<token>

In: header

Response Body

application/json

curl -X GET "$API_BASE_URL/api/audit_logs/event_types"

Successfully retrieved the list of audit log event types.

{
  "total": 1,
  "list": [
    {
      "key": "UpdateContactPoint",
      "name": "Update Contact Point"
    }
  ]
}
Complete operation details and schema variants

GET /api/audit_logs/event_types

List all event types of audit logs

List supported audit event types that can be used for filtering and analysis when querying audit logs.

No IAM permission required.

Parameters

Responses

  • 200: Successfully retrieved the list of audit log event types.
  • allOf variant 1
  • list (array, optional): An array of resources.
  • total (integer, optional): Total number of objects.
  • allOf variant 2
  • list (array, optional): An array of event types of audit logs.
  • list[].key (string, optional): The key of the audit log event type.
  • list[].name (string, optional): The name of the audit log event type.

cURL

curl -X GET '$API_BASE_URL/api/audit_logs/event_types'